#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

int main (int argc, char const **argv, char const **env)
{
  char path[1024];
  char cmd[1024];
  char *slash;
  char *p;
  int i;

  /* Look for doxygen_stub.sh in same directory as this .exe */
  strncpy(path,argv[0],1024);

  /* Flip the \ to / */
  for (p = path; *p; p++) {
    if (*p == '\\') *p = '/';
  }

  /* Replace the name of this program with doxygen_stub.sh */
  slash = strrchr (path, '/');
  if (slash) {
    slash++; // point after the /
  } else {
    slash = path; // overwrite whole path
  }
  strncpy(slash,"doxygen_stub.sh",1024-(slash - path));
  
  /* Construct "bash doxygen_stub.sh arg1 arg2" ... command */
  strncpy (cmd, "bash ", 1024);
  strncat (cmd, path, 1024);
  for (i = 1; i < argc; i++) {
    strncat (cmd, " \"", 1024);
    strncat (cmd, argv[i], 1024);
    strncat (cmd, "\"", 1024);
  }

  /* Execute it */
  system (cmd);
  return 0;
}
