#ifndef _UTLSWAP_H
#define _UTLSWAP_H
/******************************************************************************
 * FILE PURPOSE: Prototypes for functions in utlSwap.s
 ******************************************************************************
 * FILE NAME: utlswap.h  
 *
 * DESCRIPTION: 
 *
 * TABS: NONE
 *
 * $Id: utlswap.h 1.2 1998/04/24 16:59:19 abura Exp $
 *
 * REVISION HISTORY:
 *
 * $Log: utlswap.h $
 * Revision 1.2  1998/04/24 16:59:19  abura
 * - Minor typo fixed.
 * Revision 1.1  1998/04/19 15:06:21  ppatel
 * Initial revision
 *
 * (C) Copyright 1997, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
void   utlMoveProg2Data(tulong sourceProgAddr, tulong  destDataAddr, 
                                                 tuint  blockLength);
void   utlMoveData2Prog(tulong destProgAddr, tulong  sourceDataAddr, 
                                                 tuint  blockLength);

#endif
/* Nothing past this point */   

