/*****************************************************************************
 * FILE PURPOSE: Linker Command file for Little Endian libraries
 ****************************************************************************
 * FILE NAME: diagapplnkLE.cmd
 *
 * DESCRIPTION: Linker memory placement
 *
 * Copyright (C) 2010 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Workaround because "fill" operator isn't working in ELF */
-u=dsiuNwGlobInitConsts
-u=dspImageMap
--symbol_map dsiuNwGlobInit=dsiuNwGlobInitConsts

-l ../../mkrel/rtsc/ti/mas/util/ce66/util_a.ae66
-l ../../mkrel/rtsc/ti/mas/util/ce66/util_c.ae66
-l ../../mkrel/rtsc/ti/mas/pktutl/ce66/pktutl_c.ae66
-l ../../mkrel/rtsc/ti/mas/neu/ce66/neu_gmac_c.ae66

-l ti/drv/pa/lib/ti.drv.pa.ae66
-l ti/drv/cppi/lib/ti.drv.cppi.ae66
-l ti/drv/qmss/lib/ti.drv.qmss.ae66
-l ti/csl/lib/ti.csl.ae66
-l ti/drv/nwal/lib/ti.drv.nwal.ae66

/* force linker to not optimize these out (elf symbols) */
-u=diagHeap
-u=bootHeap
-u=halHeap
-u=gmacDmaTx0
-u=gmacDmaRx0
-u=gmacRxAssem0
-u=boot_redir
