#ifndef _SIU_VIGDK_IBL_DEMO_720p_H
#define _SIU_VIGDK_IBL_DEMO_720p_H
/***********************************************************
 * FILE PURPOSE: DIM messages for configuring IBL demo.
 ***********************************************************
 * FILE NAME: siuVigdkIblDemoX.h
 *
 * DESCRIPTION: 
 *
 *  DSP MAC 0 : 0A:00:28:1C:71:B0
 *  DSP MAC 1 : 0A:00:28:1C:71:B1
 *  DSP MAC 2 : 0A:00:28:1C:71:B2
 *  DSP MAC 3 : 0A:00:28:1C:71:B3
 *  DSP MAC 4 : 0A:00:28:1C:71:B4
 *  DSP MAC 5 : 0A:00:28:1C:71:B5
 *  DSP MAC 6 : 0A:00:28:1C:71:B6
 *  DSP MAC 7 : 0A:00:28:1C:71:B7
 
 *  DSP IP 0 : 192.168.0.130
 *  DSP IP 1 : 192.168.0.131
 *  DSP IP 2 : 192.168.0.132
 *  DSP IP 3 : 192.168.0.133
 *  DSP IP 4 : 192.168.0.134
 *  DSP IP 5 : 192.168.0.135
 *  DSP IP 6 : 192.168.0.136
 *  DSP IP 7 : 192.168.0.137
 *
 *  PC MAC : 5C:26:0A:18:50:E2
 *  PC IP  : 192.168.0.102
 *
 *
 * (C) Copyright 2011, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifdef SIU_VIGDK_MSGS
#error "Cannot include more than one set of DIM messages!"
#else

#define SIU_VIGDK_IBL_DEMO_STRING "IBL Demo: 720P Demo"

#define SIU_VIGDK_OLD_REM_MAC_ADDR     0x5C,0x26,0x0A,0x18,0x50,0xE2

#define SIU_VIGDK_MSGS  \
/* MSG: 0, DSP: 0, ID: 2082 */\
  0x0000, \
  0x0000, \
  0x0008, \
  0x0000, \
  0x0822, \
  0x6000, \
  0x0000, \
  0x00FF, \
  0x0000, \
/* MSG: 1, DSP: 0, ID: 2082 */\
  0x0000, \
  0x0000, \
  0x0008, \
  0x0000, \
  0x0822, \
  0x6000, \
  0x0001, \
  0x00FF, \
  0x0000, \
/* MSG: 2, DSP: 0, ID: 80 */\
  0x0000, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x000A, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 3, DSP: 1, ID: 80 */\
  0x0001, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 4, DSP: 2, ID: 80 */\
  0x0002, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 5, DSP: 3, ID: 80 */\
  0x0003, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 6, DSP: 4, ID: 80 */\
  0x0004, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 7, DSP: 5, ID: 80 */\
  0x0005, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 8, DSP: 6, ID: 80 */\
  0x0006, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 9, DSP: 7, ID: 80 */\
  0x0007, \
  0x0000, \
  0x0022, \
  0x0000, \
  0x0050, \
  0x0000, \
  0x0000, \
  0x0018, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0AFF, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0414, \
  0x03E8, \
  0x8000, \
  0x0000, \
/* MSG: 10, DSP: 0, ID: 4229 */\
  0x0000, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x4000, \
  0x0001, \
  0x0003, \
/* MSG: 11, DSP: 1, ID: 4229 */\
  0x0001, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 12, DSP: 2, ID: 4229 */\
  0x0002, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 13, DSP: 3, ID: 4229 */\
  0x0003, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 14, DSP: 4, ID: 4229 */\
  0x0004, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 15, DSP: 5, ID: 4229 */\
  0x0005, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 16, DSP: 6, ID: 4229 */\
  0x0006, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 17, DSP: 7, ID: 4229 */\
  0x0007, \
  0x0000, \
  0x0007, \
  0x0000, \
  0x1085, \
  0x0000, \
  0x0001, \
  0x0003, \
/* MSG: 18, DSP: 0, ID: 24576 */\
  0x0000, \
  0x0000, \
  0x0005, \
  0x0000, \
  0x6000, \
  0x0000, \
/* MSG: 19, DSP: 0, ID: 2061 */\
  0x0000, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc000, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0002, \
  0x0A00, \
  0x281C, \
  0x71B0, \
  0x0A00, \
  0x281C, \
  0x71B0, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x54F7, \
  0x053C, \
/* MSG: 20, DSP: 1, ID: 2061 */\
  0x0001, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc001, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0002, \
  0x0A00, \
  0x281C, \
  0x71B1, \
  0x0A00, \
  0x281C, \
  0x71B1, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 21, DSP: 2, ID: 2061 */\
  0x0002, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc002, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0002, \
  0x0A00, \
  0x281C, \
  0x71B2, \
  0x0A00, \
  0x281C, \
  0x71B2, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 22, DSP: 3, ID: 2061 */\
  0x0003, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc003, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0002, \
  0x0A00, \
  0x281C, \
  0x71B3, \
  0x0A00, \
  0x281C, \
  0x71B3, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 23, DSP: 4, ID: 2061 */\
  0x0004, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc004, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0002, \
  0x0A00, \
  0x281C, \
  0x71B6, \
  0x0A00, \
  0x281C, \
  0x71B4, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 24, DSP: 5, ID: 2061 */\
  0x0005, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc005, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0002, \
  0x0A00, \
  0x281C, \
  0x71B7, \
  0x0A00, \
  0x281C, \
  0x71B5, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 25, DSP: 6, ID: 2061 */\
  0x0006, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc006, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0A00, \
  0x281C, \
  0x71B6, \
  0x0A00, \
  0x281C, \
  0x71B5, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 26, DSP: 7, ID: 2061 */\
  0x0007, \
  0x0000, \
  0x001B, \
  0x0000, \
  0x080D, \
  0xc007, \
  0x0003, \
  0x0004, \
  0x0001, \
  0x003F, \
  0x0003, \
  0x0001, \
  0x0006, \
  0x0001, \
  0x0000, \
  0x0001, \
  0x0A00, \
  0x281C, \
  0x71B7, \
  0x0A00, \
  0x281C, \
  0x71B4, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 27, DSP: 0, ID: 1040 */\
  0x0000, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E30, \
  0x6F63, \
  0x006D, \
/* MSG: 28, DSP: 1, ID: 1040 */\
  0x0001, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E31, \
  0x6F63, \
  0x006D, \
/* MSG: 29, DSP: 2, ID: 1040 */\
  0x0002, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E32, \
  0x6F63, \
  0x006D, \
/* MSG: 30, DSP: 3, ID: 1040 */\
  0x0003, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E33, \
  0x6F63, \
  0x006D, \
/* MSG: 31, DSP: 4, ID: 1040 */\
  0x0004, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E34, \
  0x6F63, \
  0x006D, \
/* MSG: 32, DSP: 5, ID: 1040 */\
  0x0005, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E35, \
  0x6F63, \
  0x006D, \
/* MSG: 33, DSP: 6, ID: 1040 */\
  0x0006, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E34, \
  0x6F63, \
  0x006D, \
/* MSG: 34, DSP: 7, ID: 1040 */\
  0x0007, \
  0x0000, \
  0x0012, \
  0x0000, \
  0x0410, \
  0x0000, \
  0x0000, \
  0xBFE4, \
  0xDF7A, \
  0x0000, \
  0x010D, \
  0x0000, \
  0x7440, \
  0x6C65, \
  0x676F, \
  0x5F79, \
  0x2E35, \
  0x6F63, \
  0x006D, \
/* MSG: 35, DSP: 0, ID: 24576 */\
  0x0000, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x8008, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x8008, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0064, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0064, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x8008, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC008, \
  0x0003, \
/* MSG: 36, DSP: 0, ID: 93 */\
  0x0000, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1FFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 37, DSP: 1, ID: 24576 */\
  0x0001, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x8009, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x8009, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x8009, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC009, \
  0x0003, \
/* MSG: 38, DSP: 0, ID: 93 */\
  0x0000, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB071, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA1A, \
  0xA8C0, \
  0x8200, \
  0xA8C0, \
  0x6600, \
  0x1080, \
  0x1080, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 39, DSP: 1, ID: 93 */\
  0x0001, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x2000, \
  0x3FFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 40, DSP: 2, ID: 24576 */\
  0x0002, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x800A, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x800A, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0064, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0064, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x800A, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC00A, \
  0x0003, \
/* MSG: 41, DSP: 1, ID: 93 */\
  0x0001, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB171, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA1B, \
  0xA8C0, \
  0x8300, \
  0xA8C0, \
  0x6600, \
  0x0280, \
  0x0280, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 42, DSP: 2, ID: 93 */\
  0x0002, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x4000, \
  0x5FFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 43, DSP: 3, ID: 24576 */\
  0x0003, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x800B, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x800B, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x800B, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC00B, \
  0x0003, \
/* MSG: 44, DSP: 2, ID: 93 */\
  0x0002, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB271, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA1C, \
  0xA8C0, \
  0x8400, \
  0xA8C0, \
  0x6600, \
  0x0480, \
  0x0480, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 45, DSP: 3, ID: 93 */\
  0x0003, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x6000, \
  0x7FFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 46, DSP: 4, ID: 24576 */\
  0x0004, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x800C, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x800C, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0064, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0064, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x800C, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC00C, \
  0x0003, \
/* MSG: 47, DSP: 3, ID: 93 */\
  0x0003, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB371, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA1D, \
  0xA8C0, \
  0x8500, \
  0xA8C0, \
  0x6600, \
  0x0680, \
  0x0680, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 48, DSP: 4, ID: 93 */\
  0x0004, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x8000, \
  0x9FFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 49, DSP: 5, ID: 24576 */\
  0x0005, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x800D, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x800D, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x800D, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC00D, \
  0x0003, \
/* MSG: 50, DSP: 4, ID: 93 */\
  0x0004, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB471, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA1E, \
  0xA8C0, \
  0x8600, \
  0xA8C0, \
  0x6600, \
  0x0080, \
  0x0080, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 51, DSP: 5, ID: 93 */\
  0x0005, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0xA000, \
  0xBFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 52, DSP: 6, ID: 24576 */\
  0x0006, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x800E, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x800E, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x800E, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC00E, \
  0x0003, \
/* MSG: 53, DSP: 5, ID: 93 */\
  0x0005, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB571, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA1F, \
  0xA8C0, \
  0x8700, \
  0xA8C0, \
  0x6600, \
  0x0A80, \
  0x0A80, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 54, DSP: 6, ID: 93 */\
  0x0006, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0xC000, \
  0xDFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 55, DSP: 7, ID: 24576 */\
  0x0007, \
  0x0000, \
  0x0035, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x0803, \
  0x800F, \
  0x0004, \
  0x0000, \
  0x080B, \
  0x800F, \
  0x0022, \
  0x0001, \
  0x0003, \
  0x007E, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0065, \
  0xBCBC, \
  0xBCBC, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x080A, \
  0x800F, \
  0x0007, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x001F, \
  0x0805, \
  0xC00F, \
  0x0003, \
/* MSG: 56, DSP: 6, ID: 93 */\
  0x0006, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB671, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA10, \
  0xA8C0, \
  0x8800, \
  0xA8C0, \
  0x6600, \
  0x0C80, \
  0x0C80, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 57, DSP: 0, ID: 1039 */\
  0x0000, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 58, DSP: 1, ID: 1039 */\
  0x0001, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 59, DSP: 2, ID: 1039 */\
  0x0002, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 60, DSP: 3, ID: 1039 */\
  0x0003, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 61, DSP: 4, ID: 1039 */\
  0x0004, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 62, DSP: 5, ID: 1039 */\
  0x0005, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 63, DSP: 6, ID: 1039 */\
  0x0006, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 64, DSP: 7, ID: 93 */\
  0x0007, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0xE000, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 65, DSP: 0, ID: 1040 */\
  0x0000, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 66, DSP: 1, ID: 1040 */\
  0x0001, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 67, DSP: 2, ID: 1040 */\
  0x0002, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 68, DSP: 3, ID: 1040 */\
  0x0003, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 69, DSP: 4, ID: 1040 */\
  0x0004, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 70, DSP: 5, ID: 1040 */\
  0x0005, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 71, DSP: 6, ID: 1040 */\
  0x0006, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 72, DSP: 7, ID: 93 */\
  0x0007, \
  0x0000, \
  0x004F, \
  0x0001, \
  0x005D, \
  0x0000, \
  0x0001, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0000, \
  0x0040, \
  0x000E, \
  0x0022, \
  0xFFFF, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x002A, \
  0x265C, \
  0x180A, \
  0xE250, \
  0x000A, \
  0x1C28, \
  0xB771, \
  0x0008, \
  0x1045, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x1140, \
  0xFA11, \
  0xA8C0, \
  0x8900, \
  0xA8C0, \
  0x6600, \
  0x0E80, \
  0x0E80, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
/* MSG: 73, DSP: 7, ID: 1039 */\
  0x0007, \
  0x0000, \
  0x0014, \
  0x0001, \
  0x040F, \
  0x0000, \
  0x00FD, \
  0x03E8, \
  0x001F, \
  0x0123, \
  0x4567, \
  0x89AB, \
  0xCDEF, \
  0x0005, \
  0x0002, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 74, DSP: 7, ID: 1040 */\
  0x0007, \
  0x0000, \
  0x000F, \
  0x0001, \
  0x0410, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0108, \
  0x0002, \
  0x7767, \
  0x7431, \
  0x6963, \
  0x3064, \
/* MSG: 75, DSP: 0, ID: 4225 */\
  0x0000, \
  0x0000, \
  0x000D, \
  0x0001, \
  0x1081, \
  0x8010, \
  0x0000, \
  0x0001, \
  0x0060, \
  0x0500, \
  0x02D0, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 76, DSP: 1, ID: 4225 */\
  0x0001, \
  0x0000, \
  0x000D, \
  0x0001, \
  0x1081, \
  0x8011, \
  0x0000, \
  0x0001, \
  0x0060, \
  0x0500, \
  0x02D0, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 77, DSP: 2, ID: 4225 */\
  0x0002, \
  0x0000, \
  0x000D, \
  0x0001, \
  0x1081, \
  0x8012, \
  0x0000, \
  0x0001, \
  0x0060, \
  0x0500, \
  0x02D0, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 78, DSP: 0, ID: 4226 */\
  0x0000, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8010, \
  0x0001, \
  0x001E, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0500, \
  0x0000, \
  0x7530, \
  0x006A, \
  0xCFC0, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0042, \
  0x0000, \
  0x001E, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 79, DSP: 1, ID: 4226 */\
  0x0001, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8011, \
  0x0001, \
  0x001E, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0500, \
  0x0000, \
  0x7530, \
  0x006A, \
  0xCFC0, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0042, \
  0x0000, \
  0x001E, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 80, DSP: 2, ID: 4226 */\
  0x0002, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8012, \
  0x0001, \
  0x001E, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0500, \
  0x0000, \
  0x7530, \
  0x006A, \
  0xCFC0, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0042, \
  0x0000, \
  0x001E, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0010, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 81, DSP: 0, ID: 4226 */\
  0x0000, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8010, \
  0x0002, \
  0x0078, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0500, \
  0x0000, \
  0x7530, \
  0x0000, \
  0x7530, \
  0x006A, \
  0xCFC0, \
  0x0000, \
  0x001E, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0023, \
  0x0000, \
  0x001C, \
  0x0000, \
  0x0033, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x00F0, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0019, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 82, DSP: 1, ID: 4226 */\
  0x0001, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8011, \
  0x0002, \
  0x0078, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0500, \
  0x0000, \
  0x7530, \
  0x0000, \
  0x7530, \
  0x006A, \
  0xCFC0, \
  0x0000, \
  0x001E, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0023, \
  0x0000, \
  0x001C, \
  0x0000, \
  0x0033, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x00F0, \
  0x0000, \
  0x01E0, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0019, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 83, DSP: 2, ID: 4226 */\
  0x0002, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8012, \
  0x0002, \
  0x0078, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0500, \
  0x0000, \
  0x7530, \
  0x0000, \
  0x7530, \
  0x006A, \
  0xCFC0, \
  0x0000, \
  0x001E, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0023, \
  0x0000, \
  0x001C, \
  0x0000, \
  0x0033, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0002, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x01E0, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0019, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 84, DSP: 0, ID: 24576 */\
  0x0000, \
  0x0000, \
  0x0016, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x1083, \
  0x8010, \
  0x000E, \
  0x8000, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0805, \
  0xC010, \
  0x0003, \
/* MSG: 85, DSP: 1, ID: 24576 */\
  0x0001, \
  0x0000, \
  0x0016, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x1083, \
  0x8011, \
  0x000E, \
  0x8000, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0805, \
  0xC011, \
  0x0003, \
/* MSG: 86, DSP: 2, ID: 24576 */\
  0x0002, \
  0x0000, \
  0x0016, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x1083, \
  0x8012, \
  0x000E, \
  0x8000, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0805, \
  0xC012, \
  0x0003, \
/* MSG: 87, DSP: 6, ID: 4225 */\
  0x0006, \
  0x0000, \
  0x000D, \
  0x0001, \
  0x1081, \
  0x8013, \
  0x0000, \
  0x0007, \
  0x0060, \
  0x0500, \
  0x02D0, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 88, DSP: 6, ID: 4226 */\
  0x0006, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8013, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 89, DSP: 6, ID: 24576 */\
  0x0006, \
  0x0000, \
  0x0016, \
  0x0001, \
  0x6000, \
  0x0000, \
  0x1083, \
  0x8013, \
  0x000E, \
  0x8000, \
  0x0000, \
  0x000A, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0805, \
  0xC013, \
  0x0003, \
/* MSG: 92, DSP: 7, ID: 4225 */\
  0x0007, \
  0x0000, \
  0x000D, \
  0x0001, \
  0x1081, \
  0x8014, \
  0x0000, \
  0x000B, \
  0x0020, \
  0x02D0, \
  0x0240, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 94, DSP: 7, ID: 4226 */\
  0x0007, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8014, \
  0x0001, \
  0x000C, \
  0x0000, \
  0x0240, \
  0x0000, \
  0x02D0, \
  0x0000, \
  0x001E, \
  0x0098, \
  0x9680, \
  0x0000, \
  0x0003, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 95, DSP: 7, ID: 4226 */\
  0x0007, \
  0x0000, \
  0x0087, \
  0x0001, \
  0x1082, \
  0x8014, \
  0x0002, \
  0x0024, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0001, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
  0x0000, \
/* MSG: 96, DSP: 7, ID: 2053 */\
  0x0007, \
  0x0000, \
  0x0005, \
  0x0001, \
  0x0805, \
  0xc014, \
/* MSG: 90, DSP: 0, ID: 2085 */\
  0x0000, \
  0x0000, \
  0x000B, \
  0x0001, \
  0x0825, \
  0x0000, \
  0x0001, \
  0x0115, \
  0x0000, \
  0x0000, \
  0x0006, \
  0x0000, \
/* MSG: 93, DSP: 6, ID: 2085 */\
  0x0006, \
  0x0000, \
  0x000B, \
  0x0001, \
  0x0825, \
  0xc016, \
  0x0001, \
  0x0115, \
  0x0000, \
  0x0000, \
  0x0006, \
  0x0000, \
/* MSG: 91, DSP: 6, ID: 2085 */\
  0x0006, \
  0x0000, \
  0x000B, \
  0x0001, \
  0x0825, \
  0x0000, \
  0x0001, \
  0x0115, \
  0x0000, \
  0x0000, \
  0x0007, \
  0x0006, \
/* MSG: 97, DSP: 7, ID: 2085 */\
  0x0007, \
  0x0000, \
  0x000B, \
  0x0001, \
  0x0825, \
  0xc015, \
  0x0001, \
  0x0115, \
  0x0000, \
  0x0000, \
  0x0007, \
  0x0006

#endif
#endif
